Subject: Re: [RFCv3 2/4] Add Python support library for CVS remote helper

From: Johan Herland <[email-masked]>
Date: Thu, 13 Aug 2009 02:20:02 +0200

On Thursday 13 August 2009, Michael Haggerty wrote:
> Johan Herland wrote:
> > On Wednesday 12 August 2009, David Aguilar wrote:
> >> On Wed, Aug 12, 2009 at 02:13:49AM +0200, Johan Herland wrote:
> >>> +	def __init__ (self, date, author, message):
> >>> +		self.revs    = {}      # dict: path -> CvsRev object
> >>> +		self.date    = date    # CvsDate object
> >>> +		self.author  = author
> >>> +		self.message = message # Lines of commit message
> >>
> >> pep8 and other parts of the git codebase recommend against
> >> lining up the equals signs like that.  Ya, sorry for the nits
> >> being that they're purely stylistic.
> >
> > I can't find a good rationale for this rule in PEP8 (other than Guido's
> > personal style), and I personally find the above much more readable
> > (otherwise I wouldn't go through the trouble of lining them all up...).
> > Can I claim exception (1) (readability)?
>
> I think you are missing the point.  It may be true that the rules in
> PEP8 were *originally* written according to the unjustified whims of the
> BDFL, but now that they are established the reason for following them is
> not that Guido likes them but rather to be consistent with the bulk of
> other Python code on the planet.

Ok. I will try to follow PEP8 as closely as possible.

> With respect to the rule to use 4-space indents, there are serious
> practical problems with using tabs *in addition to* the consistency
> argument.

There are? What arguments? Assuming I don't mix spaces and tabs (which I 
certainly don't), I can't see any "practical problems" with using tabs 
(except for the PEP8/consistency issue).

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net